$syj::salvage::droppedbricklifetime = 300;
$syj::salvage::basheritemdamage = 6;
$syj::salvage::salvageitemdamage = 2;
$syj::salvage::activated = 0;
$syj::salvage::hitdelay = 200;

if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	RTB_registerPref("Dropped brick lifetime","Salvage","$syj::salvage::droppedbricklifetime","int 0 900","gamemode_salvage",300,0,0);
	RTB_registerPref("Basher tool hit damage","Salvage","$syj::salvage::basheritemdamage","int 0 100","gamemode_salvage",0,0,0);
	RTB_registerPref("Salvage tool hit damage","Salvage","$syj::salvage::salvageitemdamage","int 0 100","gamemode_salvage",0,0,0);
	RTB_registerPref("Hit delay for tools","Salvage","$syj::salvage::hitdelay","int 1 5000","gamemode_salvage",200,0,0);
}

function randomizeposition(%pos,%ran)
{
	%x = getword(%pos,0)+getrandom(0-%ran,%ran);
	%y = getword(%pos,1)+getrandom(0-%ran,%ran);
	%z = getword(%pos,2)+getrandom(1,%ran+1);
	return %x SPC %y SPC %z;
}

function servercmdsalvagebypass(%client)
{
	if(%client.isAdmin)
	{
		%client.salvagebypass = !%client.salvagebypass;
		if(%client.salvagebypass)
			messageclient(%client,'',"You can now build normallly.");
		else
		{
			messageclient(%client,'',"You are now playing the game.");
			servercmdunusetool(%client);
		}
	}
	else
		messageclient(%client,'',"You need admin to do that!");
}	

datablock projectileData(SalvageProjectile : hammerProjectile)
{
    	directDamage = 5;
    	lifeTime = 100;
    	explodeOnDeath = false;
};

datablock itemData(SalvageItem : hammerItem)
{
    	uiName = "Salvage";
    	image = SalvageImage;
    	colorShiftColor = "1 1 1 1";
};

datablock shapeBaseImageData(SalvageImage : hammerImage)
{
    	item = SalvageItem;
    	projectile = SalvageProjectile;
    	colorShiftColor = "1 1 1 1";
};

function SalvageImage::onFire(%this, %obj, %slot)
{
    	parent::onFire(%this, %obj, %slot);
    	%obj.playThread(2, "armAttack");
}

function SalvageImage::onStopFire(%this, %obj, %slot)
{
    	%obj.playThread(2, "root");
}

datablock projectileData(SalvageRepairProjectile : hammerProjectile)
{
    	directDamage = 5;
    	lifeTime = 100;
    	explodeOnDeath = false;
};

datablock itemData(SalvageRepairItem : hammerItem)
{
    	uiName = "Repair";
    	image = SalvageRepairImage;
    	colorShiftColor = "1 0 1 1";
};

datablock shapeBaseImageData(SalvageRepairImage : hammerImage)
{
    	item = SalvageRepairItem;
    	projectile = SalvageRepairProjectile;
    	colorShiftColor = "1 0 1 1";
};

function servercmdbrickswithitems(%client)
{
	%count = 0;
	for(%a=0;%a<clientgroup.getcount();%a++)
	{
		for(%b=0;%b<clientgroup.getobject(%a).brickgroup.getcount();%b++)
		{
			if(clientgroup.getobject(%a).brickgroup.getobject(%b).item != 0)
				%count++;
		}		
	}
	messageclient(%client,'',%count);
}


datablock projectileData(BasherProjectile : hammerProjectile)
{
    	directDamage = 5;
    	lifeTime = 100;
    	explodeOnDeath = false;
};

datablock itemData(BasherItem : hammerItem)
{
    	uiName = "Basher";
    	image = BasherImage;
    	colorShiftColor = "1 1 0 1";
};

datablock shapeBaseImageData(BasherImage : hammerImage)
{
    	item = BasherItem;
    	projectile = BasherProjectile;
    	colorShiftColor = "1 1 0 1";
};

function BasherImage::onFire(%this, %obj, %slot)
{
    	parent::onFire(%this, %obj, %slot);
    	%obj.playThread(2, "armAttack");
}

function BasherImage::onStopFire(%this, %obj, %slot)
{
    	%obj.playThread(2, "root");
}


function SalvageRepairImage::onFire(%this, %obj, %slot)
{
    	parent::onFire(%this, %obj, %slot);
    	%obj.playThread(2, "armAttack");
}

function SalvageRepairImage::onStopFire(%this, %obj, %slot)
{
    	%obj.playThread(2, "root");
}

function updateinventory(%client)
{
	for(%a=0;%a<10;%a++)
	{
		%inv = %client.salvageinventory[%a];
		if(%inv == 0)
			%inv = -1;
		%client.inventory[%a] = %inv;
		messageclient(%client,'MsgSetInvData',"",%a,%inv);
	}
}

function servercmddrop(%client)
{
	makebrickitem(randomizeposition(%client.player.position,3),%client.salvageinventory[%client.currInv],%client.salvagecolors[%client.currInv],%client.salvageitem[%client.currInv],%client.salvagelight[%client.currInv],%client.salvageemitter[%client.currInv],%client.salvageemitdir[%client.currInv],%client,%client.currInv);
	%client.salvageinventory[%client.currInv] = -1;
	updateinventory(%client);
}

function copybrickeventstoclient(%client,%brick,%slot)
{
	%client.salvagenumevents[%slot] = %brick.numevents;
	for(%a=0;%a<%brick.numEvents;%a++)
	{
		%client.salvageeventdelay[%slot,%a] = %brick.eventDelay[%a];
		%client.salvageeventenabled[%slot,%a] = %brick.eventEnabled[%a];
		%client.salvageeventinput[%slot,%a] = %brick.eventInput[%a];
		%client.salvageeventinputidx[%slot,%a] = %brick.eventInputIdx[%a];
		%client.salvageeventoutput[%slot,%a] = %brick.eventOutput[%a];
		%client.salvageeventoutputappend[%slot,%a] = %brick.eventOutputAppendClient[%a];
		%client.salvageeventoutputidx[%slot,%a] = %brick.eventOutputIdx[%a];
		%client.salvageeventtarget[%slot,%a] = %brick.eventTarget[%a];
		%client.salvageeventtargetidx[%slot,%a] = %brick.eventTargetIdx[%a];
		%client.salvageeventfirstparam[%slot,%a] = %brick.eventOutputParameter[%a,1];
		%client.salvageeventsecondparam[%slot,%a] = %brick.eventOutputParameter[%a,2];
	}
}

function copyclienteventstobrick(%client,%brick,%slot)
{
	%brick.numEvents = %client.salvagenumevents[%slot];
	for(%a=0;%a<%client.salvagenumevents[%slot];%a++)
	{
		%brick.eventDelay[%a] = %client.salvageeventdelay[%slot,%a];
		%brick.eventEnabled[%a] = %client.salvageeventenabled[%slot,%a];
		%brick.eventInput[%a] = %client.salvageeventinput[%slot,%a];
		%brick.eventInputIdx[%a] = %client.salvageeventinputidx[%slot,%a];
		%brick.eventOutput[%a] = %client.salvageeventoutput[%slot,%a];
		%brick.eventOutputAppendClient[%a] = %client.salvageeventoutputappend[%slot,%a];
		%brick.eventOutputIdx[%a] = %client.salvageeventoutputidx[%slot,%a];
		%brick.eventTarget[%a] = %client.salvageeventtarget[%slot,%a];
		%brick.eventTargetIdx[%a] = %client.salvageeventtargetidx[%slot,%a];
		%brick.eventOutputParameter[%a,1] = %client.salvageeventfirstparam[%slot,%a];
		%brick.eventOutputParameter[%a,2] = %client.salvageeventsecondparam[%slot,%a];
	}
}

function copyclienteventstoitem(%client,%item,%slot)
{
	%item.numEvents = %client.salvagenumevents[%slot];
	for(%a=0;%a<%client.salvagenumevents[%slot];%a++)
	{
		%item.eventDelay[%a] = %client.salvageeventdelay[%slot,%a];
		%item.eventEnabled[%a] = %client.salvageeventenabled[%slot,%a];
		%item.eventInput[%a] = %client.salvageeventinput[%slot,%a];
		%item.eventInputIdx[%a] = %client.salvageeventinputidx[%slot,%a];
		%item.eventOutput[%a] = %client.salvageeventoutput[%slot,%a];
		%item.eventOutputAppendClient[%a] = %client.salvageeventoutputappend[%slot,%a];
		%item.eventOutputIdx[%a] = %client.salvageeventoutputidx[%slot,%a];
		%item.eventTarget[%a] = %client.salvageeventtarget[%slot,%a];
		%item.eventTargetIdx[%a] = %client.salvageeventtargetidx[%slot,%a];
		%item.eventOutputParameter[%a,1] = %client.salvageeventfirstparam[%slot,%a];
		%item.eventOutputParameter[%a,2] = %client.salvageeventsecondparam[%slot,%a];
	}
}

function copyitemeventstoclient(%client,%item,%slot)
{
	%client.salvagenumevents[%slot] = %item.numevents;
	for(%a=0;%a<%item.numEvents;%a++)
	{
		%client.salvageeventdelay[%slot,%a] = %item.eventDelay[%a];
		%client.salvageeventenabled[%slot,%a] = %item.eventEnabled[%a];
		%client.salvageeventinput[%slot,%a] = %item.eventInput[%a];
		%client.salvageeventinputidx[%slot,%a] = %item.eventInputIdx[%a];
		%client.salvageeventoutput[%slot,%a] = %item.eventOutput[%a];
		%client.salvageeventoutputappend[%slot,%a] = %item.eventOutputAppendClient[%a];
		%client.salvageeventoutputidx[%slot,%a] = %item.eventOutputIdx[%a];
		%client.salvageeventtarget[%slot,%a] = %item.eventTarget[%a];
		%client.salvageeventtargetidx[%slot,%a] = %item.eventTargetIdx[%a];
		%client.salvageeventfirstparam[%slot,%a] = %item.eventOutputParameter[%a,1];
		%client.salvageeventsecondparam[%slot,%a] = %item.eventOutputParameter[%a,2];
	}
}

function SalvageRepairProjectile::onCollision(%this, %player, %brick, %fade, %pos, %normal)
{
	if(%player.client.lastsalhamfire > getsimtime()-$syj::salvage::hitdelay)
		return;
	
	%player.client.lastsalhamfire = getsimtime();

	if(!isObject(%brick) || !isObject(%player))
		return;
	serverPlay3D(hammerHitSound, %pos);
	if(%brick.getclassname() !$= "fxDTSBrick")
		return;
	if(%brick.health == 0)
		%brick.health = mFloor((%brick.getdatablock().bricksizex * %brick.getdatablock().bricksizey * %brick.getdatablock().bricksizez)/3);
	if(%brick.health < 500)
	{
		%brick.health+=1;
		commandtoclient(%player.client,'centerprint',"Brick health is now" SPC %brick.health,3);
	}
	else commandtoclient(%player.client,'centerprint',"You can not repair over 500 health per brick!",3);

	if(isObject(%brick))
	{
		$InputTarget_["Self"]   = %brick;
   		$InputTarget_["Player"] = %player;
   		$InputTarget_["Client"] = %player.client;
		
		%brick.processInputEvent(onRepairToolHit,%player.client);
	}
}

function SalvageProjectile::onCollision(%this, %player, %brick, %fade, %pos, %normal)
{
	if(%player.client.lastsalhamfire > getsimtime()-$syj::salvage::hitdelay)
		return;
	
	%player.client.lastsalhamfire = getsimtime();

	if(!isObject(%brick) || !isObject(%player))
		return;
	serverPlay3D(hammerHitSound, %pos);
	if(%brick.getclassname() !$= "fxDTSBrick")
	{
		if(%brick.getclassname() !$= "Player")
			return;
		if($syj::salvage::salvageitemdamage > 0)
			%brick.Damage(%player,%brick.position,$syj::salvage::salvageitemdamage,9);
		return;
	}

	if(%brick.willcausechainkill() == 1)
	{
		commandtoclient(%player.client,'centerprint',"That brick is supporting other bricks!",3);
		return;
	}

	if(%brick.getName() $= "_static")
	{
		commandtoclient(%player.client,'centerprint',"This brick is invulnerable.",3);
		return;
	}

	if(%brick.health == 0)
		%brick.health = mFloor((%brick.getdatablock().bricksizex * %brick.getdatablock().bricksizey * %brick.getdatablock().bricksizez)/3);
	if(%brick.health > 500)
		%brick.health = 500;
	if(%brick.health == 1 || %brick.health < 0)
	{

	%slottouse = -1;

	for(%a=0;%a<10;%a++)
		if(%player.client.salvageinventory[%a] < 1)
			%slottouse = %a;

	if(%slottouse==-1)
	{
		commandtoclient(%player.client,'centerprint',"Your inventory is full!",2);
		return;
	}

	%player.client.salvageinventory[%slottouse] = %brick.getDatablock();
	%player.client.salvagecolors[%slottouse] = %brick.colorID;
	if(isObject(%brick.light))
		%player.client.salvagelight[%slottouse] = %brick.light.getDatablock();
	if(isObject(%brick.vehicle))
		%player.client.salvagevehicle[%slottouse] = %brick.vehicleDataBlock;
	else
		%player.client.salvagevehicle[%slottouse] = -1;
	%player.client.salvageemitter[%slottouse] = %brick.emitter.emitter;
	%player.client.salvageemitdir[%slottouse] = %brick.emitterDirection;
	copybrickeventstoclient(%player.client,%brick,%slottouse);
	if(%brick.item < 1)
		%player.client.salvageitem[%slottouse] = -1;
	else
		%player.client.salvageitem[%slottouse] = %brick.item.getdatablock();
	%brick.delete();
	updateinventory(%player.client);	
	}
	else
	{
		%brick.health--;
		commandtoclient(%player.client,'centerprint',%brick.health SPC "health left.",2);
	}

	if(isObject(%brick))
	{
		$InputTarget_["Self"]   = %brick;
   		$InputTarget_["Player"] = %player;
   		$InputTarget_["Client"] = %player.client;
		
		%brick.processInputEvent(onSalvageToolHit,%player.client);
	}
}


function BasherProjectile::onCollision(%this, %player, %brick, %fade, %pos, %normal)
{
	if(%player.client.lastsalhamfire > getsimtime()-$syj::salvage::hitdelay)
		return;
	
	%player.client.lastsalhamfire = getsimtime();

	if(!isObject(%brick) || !isObject(%player))
		return;
	serverPlay3D(hammerHitSound, %pos);
	if(%brick.getclassname() !$= "fxDTSBrick")
	{
		if(%brick.getclassname() !$= "Player")
			return;
		if($syj::salvage::basheritemdamage > 0)
			%brick.Damage(%player,%brick.position,$syj::salvage::basheritemdamage,9);
		return;
	}

	if(%brick.willcausechainkill() == 1)
	{
		commandtoclient(%player.client,'centerprint',"That brick is supporting other bricks!",3);
		return;
	}

	if(%brick.getName() $= "_static")
	{
		commandtoclient(%player.client,'centerprint',"This brick is invulnerable.",3);
		return;
	}

	if(%brick.health == 0)
		%brick.health = mFloor((%brick.getdatablock().bricksizex * %brick.getdatablock().bricksizey * %brick.getdatablock().bricksizez)/3);
	if(%brick.health > 500)
		%brick.health = 500;
	if(%brick.health == 1 || %brick.health < 0)
	{

	%slottouse = -1;

	for(%a=0;%a<10;%a++)
		if(%player.client.salvageinventory[%a] < 1)
			%slottouse = %a;

	if(%slottouse==-1)
	{
		commandtoclient(%player.client,'centerprint',"Your inventory is full!",2);
		return;
	}

	%player.client.salvageinventory[%slottouse] = %brick.getDatablock();
	%player.client.salvagecolors[%slottouse] = %brick.colorID;
	if(isObject(%brick.light))
		%player.client.salvagelight[%slottouse] = %brick.light.getDatablock();
	if(isObject(%brick.vehicle))
		%player.client.salvagevehicle[%slottouse] = %brick.vehicleDataBlock;
	else
		%player.client.salvagevehicle[%slottouse] = -1;
	%player.client.salvageemitter[%slottouse] = %brick.emitter.emitter;
	%player.client.salvageemitdir[%slottouse] = %brick.emitterDirection;
	copybrickeventstoclient(%player.client,%brick,%slottouse);
	if(%brick.item < 1)
		%player.client.salvageitem[%slottouse] = -1;
	else
		%player.client.salvageitem[%slottouse] = %brick.item.getdatablock();
	%brick.delete();
	updateinventory(%player.client);	
	}
	else
	{
		%brick.health-=3;
		commandtoclient(%player.client,'centerprint',%brick.health SPC "health left.",2);
	}
	if(isObject(%brick))
		if(%brick.health == 0)
			%brick.health = -1;

	if(isObject(%brick))
	{
		$InputTarget_["Self"]   = %brick;
   		$InputTarget_["Player"] = %player;
   		$InputTarget_["Client"] = %player.client;
		
		%brick.processInputEvent(onBasherToolHit,%player.client);
	}
}

function deletetempbrick(%client)
{
	%client.player.tempbrick.delete();
}

function everyonetrusteveryone()
{
	for(%a=0;%a<clientgroup.getcount();%a++)
	{
		%clienta = clientgroup.getobject(%a);
		%brickgroup = %clienta.brickgroup;
		if(isObject(%brickgroup))
		{
			for(%b=0;%b<clientgroup.getcount();%b++)
			{
				%brickgroup.trust[clientgroup.getobject(%b).bl_id] = 2;
			}
		}
	}
}

function deletelater(%brick)
{
	%brick.delete();
}

package noextrabricks
{
	function servercmdusespraycan(%c,%a)
	{
		if(%c.salvagebypass)
			Parent::servercmdusespraycan(%c,%a);
	}
	function servercmdusefxcan(%c,%a)
	{
		if(%c.salvagebypass)
			Parent::servercmdusefxcan(%c,%a);
	}
	function servercmdclearbricks(%c)
	{
		if(%c.salvagebypass)
			Parent::servercmdclearbricks(%c);
	}
	function servercmdwand(%c)
	{
		if(%c.salvagebypass)
			Parent::servercmdwand(%c);
	}
	function servercmdundobrick(%c)
	{
		if(%c.salvagebypass)
			Parent::servercmdundobrick(%c);
	}

	function servercmdbuybrick(%client,%slot,%item)
	{
		if(%client.salvagebypass)
			return Parent::servercmdbuybrick(%client,%slot,%item);
		updateinventory(%client);
	}

	function fxDTSBrick::onPlant(%brick)
	{
		if(!isObject(%brick))
			return;
		Parent::onPlant(%brick);
		if(%brick == $lastloadedbrick)
			return;
		everyonetrusteveryone();
		%client = %brick.getgroup().client;

		if(%client.salvagebypass)
			return;

		%hasit = 0;

		for(%a=0;%a<10;%a++)
		{
			%typea = %brick.getdatablock();
			%typeb = %client.salvageinventory[%a];
			if(%typea == %typeb) %hasit = 1;
		}		

		%client.salvageinventory[%client.currInv] = -1;
		%brick.setcolor(%client.salvagecolors[%client.currInv]);
		if(%client.salvageitem[%client.currInv] != -1)
		{
			%brick.setItem(%client.salvageitem[%client.currInv]);
			%brick.setItemRespawntime(4000);
		}
		if(%client.salvagelight[%client.currInv] > 1)
		{
			%brick.setLight(%client.salvagelight[%client.currInv]);
			%client.salvagelight[%client.currInv] = 0;
		}

			%brick.setEmitter(%client.salvageemitter[%client.currInv]);
			%client.salvageemitter[%client.currInv] = 0;
			%brick.setEmitterDirection(%client.salvageemitdir[%client.currInv]);
			%client.salvageemitdir[%client.currInv] = 0;

		if(%client.salvagevehicle[%client.currInv] > 1)
		{
			%brick.setVehicle(%client.salvagevehicle[%client.currInv]);
			%client.salvagevehicle[%client.currInv] = -1;
		}

		copyclienteventstobrick(%client,%brick,%client.currInv);

		updateinventory(%client);
		schedule(150,0,deletetempbrick,%client);

		if(!%hasit)
			schedule(500,0,deletelater,%brick);
	}
	function gameConnection::onDeath(%client, %killerPlayer, %killer, %damageType, %unknownA)
	{
		for(%a=0;%a<10;%a++)
		{
			if(%client.salvageinventory[%a] > 0)
			{
				makebrickitem(randomizeposition(%client.player.position,3),%client.salvageinventory[%a],%client.salvagecolors[%a],%client.salvageitem[%a],%client.salvagelight[%a],%client.salvageemitter[%a],%client.salvageemitdir[%a],%client,%a);
				%client.salvageinventory[%a] = -1;
			}
		}
		updateinventory(%client);
		parent::onDeath(%client, %killerPlayer, %killer, %damageType, %unknownA);
	}
	function Armor::onCollision(%this, %obj, %col, %thing, %other)
	{
		if(%col.getDatablock().getName() $= "DroppedSalvageItem")
		{
			if(isObject(%obj.client))
			{
				%player = %obj;
				%client = %obj.client;
				if(isObject(%col))
				{
					if(%obj.client.minigame)
						%col.minigame = %obj.client.minigame;
					%slottouse = -1;

					for(%a=0;%a<10;%a++)
						if(%player.client.salvageinventory[%a] < 1)
							%slottouse = %a;

					if(%slottouse==-1)
						return;

					%client.salvageinventory[%slottouse] = %col.bricktype;
					%client.salvagecolors[%slottouse] = %col.brickcolor;
					%client.salvageitem[%slottouse] = %col.brickitem;
					
					%client.salvagelight[%slottouse] = %col.bricklight;
					%client.salvageemitter[%slottouse] = %col.brickemitter;
					%client.salvageemitdir[%slottouse] = %col.brickemitdir;
					
					copyitemeventstoclient(%client,%col,%slottouse);

					%col.delete();

					updateinventory(%client);
				}
			}
		}
		else
			parent::onCollision(%this, %obj, %col, %thing, %other);
	}
	function GameConnection::OnClientLeaveGame(%this)
  	{
		%client = %this;
    		for(%a=0;%a<10;%a++)
		{
			if(%client.salvageinventory[%a] > 0)
			{
				makebrickitem(%client.player.position,%client.salvageinventory[%a],%client.salvagecolors[%a],%client.salvageitem[%a],%client,%a);
				%client.salvageinventory[%a] = -1;
			}
		}
    		Parent::OnClientLeaveGame(%this);
  	}

	function servercmdusetool(%client,%tool)
	{
		Parent::servercmdusetool(%client,%tool);
		%client.tooluse = true;
	}

	function servercmdunusetool(%client)
	{
		Parent::servercmdunusetool(%client);
		%client.tooluse = false;
	}

	function servercmddroptool(%this,%slot)
	{
		if(%this.tooluse)
			Parent::servercmddroptool(%this,%slot);
		else
		{
			makebrickitem(randomizeposition(%this.player.position,3),%this.salvageinventory[%this.currInv],%this.salvagecolors[%this.currInv],%this.salvageitem[%this.currInv],%this.salvagelight[%this.currInv],%this.salvageemitter[%this.currInv],%this.salvageemitdir[%this.currInv],%this,%this.currInv);
			%this.salvageinventory[%this.currInv] = -1;
			updateinventory(%this);
		}
	}
};

function servercmdstartsalvage(%client)
{
	if(!%client.isAdmin)
	{
		messageclient(%client,'',"You need to be admin to do that!");
		return;
	}
	if($syj::salvage::activated == 1)
	{
		messageclient(%client,'',"Salvage mode is already running.");
		return;
	}
	activatepackage(noextrabricks);
	$syj::salvage::activated = 1;
	messageall('',"Salvage mode has been started!");
}

//function servercmdstopsalvage(%client)
//{
//	if(!%client.isAdmin)
//	{
//		messageclient(%client,'',"You need to be admin to do that!");
//		return;
//	}
//	if($syj::salvage::activated == 0)
//	{
//		messageclient(%client,'',"Salvage mode is already not running.");
//		return;
//	}
//	deactivatepackage(noextrabricks);
//	$syj::salvage::activated = 0;
//	messageall('',"Salvage mode has been stopped!");
//}

datablock ItemData(DroppedSalvageItem)
{
	category = "Weapon";
	className = "Weapon";
	
	shapeFile = "base/data/shapes/brickWeapon.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	
	doColorShift = true;
	colorShiftColor = "0 0.6 0 1";
	image = DroppedSalvageImage;
	candrop = true;
	canPickup = false;
};

datablock ShapeBaseImageData(DroppedSalvageImage)
{
	shapeFile = "base/data/shapes/brickWeapon.dts";
	emap = true;
	
	doColorShift = true;
	colorShiftColor = DroppedSalvageItem.colorShiftColor;
	canPickup = false;
};

function makebrickitem(%pos,%datablock,%color,%item,%light,%emitter,%emitdir,%eventclient,%eventslot)
{
	if(%datablock $= "" || %datablock < 1)
		return;

	%cash = new Item()
	{
		datablock = DroppedSalvageItem;
		canPickup = false;
		bricktype = %datablock;
		brickcolor = %color;
		brickitem = %item;
		bricklight = %light;
		brickemitter = %emitter;
		brickemitdir = %emitdir;
	};

	%cash.position = %pos;

	if(%item > 1)
		%cash.setShapeName(%datablock.getName() SPC "with a" SPC %item.uiname);
	else
		%cash.setShapeName(%datablock.getName());

	copyclienteventstoitem(%eventclient,%cash,%eventslot);

	%tsch = $syj::salvage::droppedbricklifetime*1000;
	schedule(%tsch,0,deletelater,%cash);
}	

registerInputEvent(fxDTSBrick,onSalvageToolHit,"Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection");
registerInputEvent(fxDTSBrick,onRepairToolHit,"Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection");
registerInputEvent(fxDTSBrick,onBasherToolhit,"Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection");
